# EPGP import ## `POST /api/epgp/imports` **Import an addon EPGP export** Decodes and upserts one `SQX1:` export string from the addon. An officer session or a valid Bearer sync token works. **Request body** Model: {ref}`EpgpImportBody ` | Field | Type | Required | Description | |---|---|---|---| | `payload` | string | yes | | **Response `200` — A summary of the rows the import created or updated.** Model: {ref}`EpgpImportResult ` | Field | Type | Required | Description | |---|---|---|---| | `recorder` | string | yes | | | `sessions` | {ref}`ImportCounts ` | yes | | | `encounters` | {ref}`ImportCounts ` | yes | | | `loot` | {ref}`LootImportCounts ` | yes | | | `awards` | {ref}`AwardImportCounts ` | yes | | | `unlinked_characters` | array of string | no | | | `attendance` | {ref}`ImportAttendanceResult ` | yes | | | `conflicts` | array of string | no | | | `roster` | {ref}`RosterImportCounts ` | no | | | `professions` | {ref}`ProfessionImportCounts ` | no | | | `signups` | {ref}`SignupImportCounts ` | no | | | `bank` | {ref}`BankImportCounts ` | no | | | `announcements` | {ref}`AnnouncementImportCounts ` | no | | | `recruits` | {ref}`RecruitImportCounts ` | no | | | `member_notes` | {ref}`MemberNoteImportCounts ` | no | |